Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 18 Mar 2023 15:25:31 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Am writing this email with a high level of frustrations because this has happened to me multiple times from you guys!

I ordered a shoe yesterday which I wanted to use on 19th of march and the delivery date was showing as 18th march. That's the only reason I bought the shoe. But as usual the product is not delivered on the promised date.

I canceled all my plans for the day just to make sure am available at the location to collect the order and guess what!! Order never came. My time is wasted! 

Let me know how you are gonna deal this issue?? This is not the first time though! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5869487